Due to the discontinuation of 32Bit support by PACE (iLok) in 2020, Sonnox have had to act quickly to make sure we are keeping up with this major development. This has meant we can longer support 32Bit DAW hosts for new Sonnox products and updates to the current Sonnox plugin range going forward. 


  • Sonnox plugins will no longer provide compatibility with 32-bit DAW hosts - This started with the releases of the following plugin updates in September/October 2020 - 
  1. Dynamic EQ -  v.1.30.0
  2. Oxford Inflator v.3.16.0
  3. Oxford Dynamics v.3.21.0
  4. Oxford R3 EQ v.3.21.0
  5. Toolbox VoxDoubler v.1.05.0
  6. Oxford DrumGate v.1.05.0
  7. Oxford Limiter v.3.19.0 


  • Sonnox plugins will no longer support Mac OSX 10.7 and below, meaning all users will need to be running OSX 10.8 or higher, to use the latest releases. 


  • 32Bit legacy G5 installers for users of macOS Mojave (10.14), and lower are still available for selected products on the installer pages. These are available in the legacy tabs at the bottom of each installer page as pictured below - 



Windows users will not be as affected straight away, and will be able to run in 32bit for the time being. However support will be discontinued for this within the coming year.


If you are still running a 32bit DAW host and would like to continue to be able to use the latest Sonnox releases, along with any new Sonnox products, then an update to a 64bit DAW host required. 


If you are unsure if your DAW is 64bit compatible, please create a support ticket and we will get back to you as quickly as possible!